AbstractDelegatingDefinitionParser (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.delegate
Class AbstractDelegatingDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser

All Implemented Interfaces:
  MuleDefinitionParser, MuleDefinitionParserConfiguration, org.springframework.beans.factory.xml.BeanDefinitionParser

Direct Known Subclasses:
  AbstractParallelDelegatingDefinitionParser, AbstractSerialDelegatingDefinitionParser, MapDefinitionParserMutator

    public abstract class AbstractDelegatingDefinitionParser

extends org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
implements MuleDefinitionParser

This allows a definition parsers to be dynamically represented by different definition parsers, depending on the context. For example, a single model may be defined across file - the first use defines the model and subsequent uses extend it (for this particular case, see `InheritDefinitionParser`).

Note that the sub-parsers must be consistent. That includes matching the same schema, for example.

Field Summary
`protected Log` | `logger`

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE`

Constructor Summary
`protected` | `AbstractDelegatingDefinitionParser()`
`protected` | `AbstractDelegatingDefinitionParser(MuleDefinitionParser[] delegates)`

Method Summary
`MuleDefinitionParserConfiguration` | `addAlias(String alias, String propertyName)`
`MuleDefinitionParserConfiguration` | `addBeanFlag(String flag)`
`MuleDefinitionParserConfiguration` | `addCollection(String propertyName)`
`protected MuleDefinitionParserConfiguration` | `addDelegate(MuleDefinitionParser delegate)`
`MuleDefinitionParserConfiguration` | `addIgnored(String propertyName)`
`MuleDefinitionParserConfiguration` | `addMapping(String propertyName, Map mappings)`
`MuleDefinitionParserConfiguration` | `addMapping(String propertyName, String mappings)`
`MuleDefinitionParserConfiguration` | `addMapping(String propertyName, ValueMap mappings)`
`MuleDefinitionParserConfiguration` | `addReference(String propertyName)`
`String` | `getBeanName(Element element)`
`protected MuleDefinitionParser` | `getDelegate(int index)`
`protected org.springframework.beans.factory.support.AbstractBeanDefinition` | `parseInternal(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`
`MuleDefinitionParserConfiguration` | `registerPostProcessor(PostProcessor postProcessor)` These are appended to existing processors
`MuleDefinitionParserConfiguration` | `registerPreProcessor(PreProcessor preProcessor)` These are prepended to existing processors
`MuleDefinitionParserConfiguration` | `removeIgnored(String propertyName)`
`MuleDefinitionParserConfiguration` | `setIgnoredDefault(boolean ignoreAll)`
`protected int` | `size()`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.config.spring.parsers.MuleDefinitionParser
`muleParse`

Methods inherited from interface org.springframework.beans.factory.xml.BeanDefinitionParser
`parse`

Field Detail

### logger

    protected Log logger

Constructor Detail

### AbstractDelegatingDefinitionParser

    protected AbstractDelegatingDefinitionParser()

### AbstractDelegatingDefinitionParser

    protected AbstractDelegatingDefinitionParser(MuleDefinitionParser[] delegates)

Method Detail

### parseInternal

    protected org.springframework.beans.factory.support.AbstractBeanDefinition parseInternal(Element element,
                                                                                             org.springframework.beans.factory.xml.ParserContext parserContext)

  Specified by:
    `parseInternal` in class `org.springframework.beans.factory.xml.AbstractBeanDefinitionParser`

### addDelegate

    protected MuleDefinitionParserConfiguration addDelegate(MuleDefinitionParser delegate)

### size

    protected int size()

### getDelegate

    protected MuleDefinitionParser getDelegate(int index)

### registerPreProcessor

    public MuleDefinitionParserConfiguration registerPreProcessor(PreProcessor preProcessor)

  Description copied from interface: `MuleDefinitionParserConfiguration`
  These are prepended to existing processors

  Specified by:
    `registerPreProcessor` in interface `MuleDefinitionParserConfiguration`

### registerPostProcessor

    public MuleDefinitionParserConfiguration registerPostProcessor(PostProcessor postProcessor)

  Description copied from interface: `MuleDefinitionParserConfiguration`
  These are appended to existing processors

  Specified by:
    `registerPostProcessor` in interface `MuleDefinitionParserConfiguration`

### addReference

    public MuleDefinitionParserConfiguration addReference(String propertyName)

  Specified by:
    `addReference` in interface `MuleDefinitionParserConfiguration`

### addMapping

    public MuleDefinitionParserConfiguration addMapping(String propertyName,
                                                        Map mappings)

  Specified by:
    `addMapping` in interface `MuleDefinitionParserConfiguration`

### addMapping

    public MuleDefinitionParserConfiguration addMapping(String propertyName,
                                                        String mappings)

  Specified by:
    `addMapping` in interface `MuleDefinitionParserConfiguration`

### addMapping

    public MuleDefinitionParserConfiguration addMapping(String propertyName,
                                                        ValueMap mappings)

  Specified by:
    `addMapping` in interface `MuleDefinitionParserConfiguration`

### addAlias

    public MuleDefinitionParserConfiguration addAlias(String alias,
                                                      String propertyName)

  Specified by:
    `addAlias` in interface `MuleDefinitionParserConfiguration`

### addCollection

    public MuleDefinitionParserConfiguration addCollection(String propertyName)

  Specified by:
    `addCollection` in interface `MuleDefinitionParserConfiguration`

### addIgnored

    public MuleDefinitionParserConfiguration addIgnored(String propertyName)

  Specified by:
    `addIgnored` in interface `MuleDefinitionParserConfiguration`

### removeIgnored

    public MuleDefinitionParserConfiguration removeIgnored(String propertyName)

  Specified by:
    `removeIgnored` in interface `MuleDefinitionParserConfiguration`

### setIgnoredDefault

    public MuleDefinitionParserConfiguration setIgnoredDefault(boolean ignoreAll)

  Specified by:
    `setIgnoredDefault` in interface `MuleDefinitionParserConfiguration`

### getBeanName

    public String getBeanName(Element element)

  Specified by:
    `getBeanName` in interface `MuleDefinitionParser`

### addBeanFlag

    public MuleDefinitionParserConfiguration addBeanFlag(String flag)

  Specified by:
    `addBeanFlag` in interface `MuleDefinitionParserConfiguration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.